> ## Documentation Index
> Fetch the complete documentation index at: https://holder.docs.fiskil.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch a Customer's identity details

> Get detailed information about a customers identity. This is used to construct ID
tokens. Data in the response will only be shared to clients if the client requested
the appropriate claim or scope. For details on how the values are used by clients,
refer to the Open ID Connect [standard claims](https://openid.net/specs/openid-connect-core-1_0.html#rfc.section.5.1)




## OpenAPI

````yaml openapi/auth.yml GET /auth/v1/customer/{customerId}
openapi: 3.0.3
info:
  description: Fiskil Data Holder as a Service (DHaaS) endpoints for the Energy sector
  title: Authentication & Authorization
  version: 1.5.0
servers:
  - url: https://api.provider.fiskil.com
security:
  - bearerAuth: []
paths:
  /auth/v1/customer/{customerId}:
    get:
      summary: Fetch a customer's identity details
      description: >
        Get detailed information about a customers identity. This is used to
        construct ID

        tokens. Data in the response will only be shared to clients if the
        client requested

        the appropriate claim or scope. For details on how the values are used
        by clients,

        refer to the Open ID Connect [standard
        claims](https://openid.net/specs/openid-connect-core-1_0.html#rfc.section.5.1)
      operationId: getIdentity
      parameters:
        - $ref: '#/components/parameters/customerId'
      responses:
        '200':
          description: Map of identifying details for the customer
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerDetailsResponse'
        '401':
          $ref: '#/components/responses/unauthenticatedError'
        '403':
          $ref: '#/components/responses/forbiddenError'
        '404':
          $ref: '#/components/responses/customerNotFoundError'
components:
  parameters:
    customerId:
      description: ID of a customer
      explode: false
      in: path
      name: customerId
      required: true
      schema:
        type: string
      style: simple
  schemas:
    CustomerDetailsResponse:
      title: CustomerIdentity
      properties:
        id:
          description: |
            ID of the customer.
          type: string
        email:
          description: The customer's contact email address
          type: string
        emailVerified:
          description: >-
            A flag indicating that some verification has been done to prove the
            customer owns the email
          type: boolean
        familyName:
          description: The customer's family name
          type: string
        givenName:
          description: The customer's given name (or names)
          type: string
        name:
          description: >-
            A descriptive name for the customer that is suitable for display in
            user interfaces
          type: string
        phoneNumber:
          description: >-
            Customer's preferred telephone number in E.164 format e.g.
            +614123456789. For details of the E.164 format see
            https://www.itu.int/rec/T-REC-E.164/en.
          type: string
        phoneNumberVerified:
          description: >-
            A flag indicating that some verification has been done to prove the
            customer owns the phone number
          type: boolean
        updatedAt:
          description: >-
            An RFC3339 timestamp for when the customer information was most
            recently set
          type: string
        address:
          description: >
            The customer's physical address. Return only as much information as
            you have available. Refer to the [Open ID address
            claim](https://openid.net/specs/openid-connect-core-1_0.html#AddressClaim)
            for details on each field.
          type: object
          properties:
            streetAddress:
              type: string
            locality:
              type: string
            region:
              type: string
            postalCode:
              type: string
            country:
              type: string
      type: object
      example:
        id: customerid
        email: hello@example.com
        emailVerified: true
        familyName: Sherman
        givenName: Peter
        name: Peter Sherman
        phoneNumber: '+15551234567'
        phoneNumberVerified: true
        updatedAt: '2025-07-01T00:00:00Z'
        address:
          streetAddress: 42 Wallaby Way
          locality: Sydney
          region: NSW
          postalCode: '2000'
          country: AUS
  responses:
    unauthenticatedError:
      description: |-
        ## Unauthenticated
        The authentication JWT is missing or invalid
    forbiddenError:
      description: >-
        ## Forbidden

        This data is unavailable for sharing. You may withhold data if it could
        cause physical or monetary harm to an entity. If data is being withheld
        for this reason, set the `X-Sharing-Refused` header
    customerNotFoundError:
      description: >-
        ## Customer Not Found

        The customer in the URL parameter does not exist. Also a valid response
        when data is being withheld to protect an entity from physical or
        monetary harm. If data is being withheld for this reason, set the
        `X-Sharing-Refused` header
  securitySchemes:
    bearerAuth:
      description: >
        The Fiskil Data Provider will include a self-signed JWT as a Bearer
        token in the `Authorization` header.

        You should verify this JWT using the JWKS URL you can find for your Data
        Provider instance in the Fiskil

        Console. To verify the JWT you **must**:
          * Verify the signature
          * Ensure the token has not expired by checking the `exp` claim
          * The `sub` and `iss` claims are your data provider subdomain
          * The `aud` claim is the URI of the resource being requested (excluding any query parameters)
          * The `jti` value is unique
        For further detail on security and authentication refer to our
        [Authentication](/TODO) documentation
      type: http
      scheme: bearer
      bearerFormat: JWT

````